<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('match_models', function (Blueprint $table) {
            $table->id();
            $table->string('league_name', 255); 
            $table->enum('league_type', ['cricket', 'football']);
            $table->string('team_one_name', 100);
            $table->string('team_one_flag');
            $table->string('team_two_name', 100);
            $table->string('team_two_flag');
            $table->date('match_date');
            $table->time('match_time');
            $table->unsignedTinyInteger('status')->default(0)->nullable()->comment('0: active, 1: inactive');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('match_models');
    }
};
